%define Werror_cflags %nil
%global optflags %{optflags} -fpermissive -fno-strict-aliasing
%global __provides_exclude_from ^%{_libdir}/%{name}/plugins/.*\\.so$

%define major		0
%define libname_orig	lib%{name}
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		codeblocks
Version:	17.12
Release:	%mkrel 1
Summary:	A C++ IDE
Group:		Development/Other
License:	GPLv3
URL:		http://www.codeblocks.org/
Source0:	http://downloads.sourceforge.net/codeblocks/%{name}_%{version}.tar.xz
Source1:	%{name}.png
#---------------------------------------
BuildRequires: zip
BuildRequires: dos2unix
BuildRequires: imagemagick
BuildRequires: libboost-devel
BuildRequires: bzip2-devel
BuildRequires: libwxgtku3.0-devel
BuildRequires: libtinyxml-devel
BuildRequires: zlib1-devel
BuildRequires: libhunspell-devel
BuildRequires: libgamin-1_0-devel
BuildRequires: libfontconfig-devel
#---------------------------------------
Requires: gcc-c++

%description
Code::Blocks is a free C++ IDE built specifically to meet the most 
demanding needs of its users. It was designed, right from the start, 
to be extensible and configurable.
Built around a plugin framework, Code::Blocks can be extended with 
plugin DLLs. It includes a plugin wizard so you can compile your own
plugins!

%package -n	%{develname}
Summary: Development headers for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}-%{release}
Provides: %{libname_orig}-devel = %{version}-%{release}

%description -n	%{develname}
Development headers for %{name}.

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x \
	--with-contrib-plugins=all \
	--with-boost-libdir=%{_libdir} \
	--disable-static

%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{128x128,256x256}/apps
convert -scale 128x128 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

chmod +x %{buildroot}%{_datadir}/%{name}/lexers/lexer_bash.sample

%files
%doc README AUTHORS BUGS COMPILERS TODO NEWS ChangeLog
%{_bindir}/*
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/appdata/%{name}-contrib.metainfo.xml
%{_mandir}/man1/*.1*
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc BUGS COMPILERS TODO
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Mon Nov 12 2018 adrianomorselli <adrianomorselli> 17.12-1uplos2018
- update
